/*  $Id: frame_generic.cpp,v 1.17 2004/02/23 14:09:55 sphair Exp $
**
**  ClanLib Game SDK
**  Copyright (C) 2003  The ClanLib Team
**  For a total list of contributers see the file CREDITS.
**
**  This library is free software; you can redistribute it and/or
**  modify it under the terms of the GNU Lesser General Public
**  License as published by the Free Software Foundation; either
**  version 2.1 of the License, or (at your option) any later version.
**
**  This library is distributed in the hope that it will be useful,
**  but WITHOUT ANY WARRANTY; without even the implied warranty of
**  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
**  Lesser General Public License for more details.
**
**  You should have received a copy of the GNU Lesser General Public
**  License along with this library; if not, write to the Free Software
**  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307  USA
**
*/

#include "precomp.h"
#include "frame_generic.h"
#include "API/Core/XML/dom_element.h"
#include "API/Core/System/clanstring.h"

/////////////////////////////////////////////////////////////////////////////
// Construction:

CL_Frame_Generic::CL_Frame_Generic(CL_Frame *self)
: fill(false), frame(self)
{
	CL_Component *client_area = new CL_Component(frame);
	frame->set_client_area(client_area);

	slots.connect(frame->sig_set_options(), this, &CL_Frame_Generic::on_set_options);
}

CL_Frame_Generic::~CL_Frame_Generic()
{
	delete frame->get_client_area();
}

/////////////////////////////////////////////////////////////////////////////
// Callbacks:

void CL_Frame_Generic::on_set_options(const CL_DomElement &options)
{
	if(options.has_attribute("filled"))
		fill = CL_String::to_bool(options.get_attribute("filled"));
}
